<?php

namespace App\JsonRpc;

use Hyperf\HttpServer\Contract\RequestInterface;

interface UserExternalServiceInterface
{
    /**
     * 获取用户信息
     *
     * @param string $openid
     * @param array $field
     * @return array
     */
    public function getUserInfo(string $openid, array $field = []) : array;

    /**
     * 通过微信授权新建用户
     *
     * @param string $openid
     * @return array
     */
    public function wechatNewUser(string $openid) : array;

    /**
     * 获取紧急联系人关系列表
     *
     * @return array
     */
    public function getEmergencyContactKinshipList() : array;

    /**
     * 保存紧急联系人
     *
     * @param RequestInterface $request
     * @return array
     */
    public function addEmergencyContact(RequestInterface $request) : array;
}